// Copyright 2022 Sue B.V.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package util

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestContainsInt(t *testing.T) {
	haystack := []int{1, 2, 3, 4, 5, 6}
	needles := []int{4, 10}
	wantedResults := []bool{true, false}

	for i, needle := range needles {
		result := ContainsInt(haystack, needle)
		assert.Equal(t, result, wantedResults[i])
	}
}

func TestContainsString(t *testing.T) {
	haystack := []string{"aa", "bb", "ccc"}
	needles := []string{"aa", "cc"}
	wantedResults := []bool{true, false}

	for i, needle := range needles {
		result := ContainsString(haystack, needle)
		assert.Equal(t, result, wantedResults[i])
	}
}
